package bean;

import java.math.BigDecimal;
import java.text.DecimalFormat;

import util.TransformationMoney;

/**
 * 采购订单实体Bean
 * @date 2019-7-30
 * @author android
 * */
public class OrderListBean {
	TransformationMoney transformationMoney = new TransformationMoney();
	private int id ;	//	采购订单ID
	private String ordernumber ; //采购订单编号
	private String payName;     //供应商名称
	private int supplierid;   //供应商ID
	private float payamt = 0.0f ;   //合同总金额
	private int orderstate ;  //订单状态
	private String orderdate ;   //订单生效时间
	
	//采购明细
	private float expected = 0.0f; //期望金额
	private int orderamt ; //采购数量
	private float specprice = 0.0f; //采购单价
	private float amount = 0.0f; //该商品总价
	private boolean flag_skuAmount ; //判断实际钱数和其期望钱数是否一致
	private boolean flag_total; //判断该采购单商品总额与合同金额是否一致
	
	public boolean isFlag_skuAmount() {
		return flag_skuAmount;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getOrdernumber() {
		return ordernumber;
	}
	public void setOrdernumber(String ordernumber) {
		this.ordernumber = ordernumber;
	}
	public String getPayName() {
		return payName;
	}
	public void setPayName(String payName) {
		this.payName = payName;
	}
	public int getSupplierid() {
		return supplierid;
	}
	public void setSupplierid(int supplierid) {
		this.supplierid = supplierid;
	}
	public float getPayamt() {
		return payamt;
	}
	public void setPayamt(float payamt) {
		this.payamt = payamt;
	}
	public int getOrderstate() {
		return orderstate;
	}
	public void setOrderstate(int orderstate) {
		this.orderstate = orderstate;
	}
	public String getOrderdate() {
		return orderdate;
	}
	public void setOrderdate(String orderdate) {
		this.orderdate = orderdate;
	}
	public float getExpected() {
		return expected;
	}
	public void setExpected(float expected) {
		this.expected = expected;
	}
	public int getOrderamt() {
		return orderamt;
	}
	public void setOrderamt(int orderamt) {
		this.orderamt = orderamt;
	}
	public float getSpecprice() {
		return specprice;
	}
	public void setSpecprice(float specprice) {
		this.specprice = specprice;
	}
	public float getAmount() {
		return amount;
	}
	public void setAmount(float amount) {
		this.amount = amount;
	}
	
	public void setFlag_skuAmount(boolean flag_skuAmount) {
		this.flag_skuAmount = flag_skuAmount;
	}
	public boolean getFlag_total() {
		return flag_total;
	}
	public void setFlag_total(boolean flag_total) {
		this.flag_total = flag_total;
	}
	
	/**
	 * 判断该单中某个品 单价*数量=该品金额
	 * */
	public boolean isFlagAmount() {
		float expected =  orderamt * specprice ;
		expected = transformationMoney.transformationMoney(expected);//调用保留两位小数并且后两位进行四舍五入。
		if(this.amount==expected) {
			flag_skuAmount = true ;
		} else {
			flag_skuAmount = false ;
		}
		return flag_skuAmount;
	}
	
	/**
	 * 判断某单采购单中中商品总价
	 * */
	public boolean isFlag_total() {
		if(expected==payamt) {
			flag_total =true ;
		} else {
			flag_total = false ;
		}
		return flag_total ;
	}
	
}
