<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>登录</title>
    <script type="text/javascript" src="https://code.jquery.com/jquery-3.4.1.js"></script>
    <style type="text/css">
        * {
            margin: 0px;
            background: rgba(56,157,170,.82);
        }
        body{
            width: 100%;
            height: 1px;

        }

        #content {
            margin: 320px auto;
            width: 700px;
            height: 360px;
            border: 1px transparent solid;
        }

        #box {
            width: 700px;
            height: 360px;
            background-color: #fff;
            text-align: center;
            border-radius: 15px;
            border: 2px #fff solid;
            box-shadow: 10px 10px 5px #000000;
        }

        .title {
            line-height: 58px;
            margin-top: 20px;
            font-size: 36px;
            color: #000;
            height: 58px;
            background: white;
        }

        #box:hover {
            border: 2px #fff solid;
        }

        .input {
            margin-top: 20px;
            background: white;
        }

        input {
            margin-top: 5px;
            outline-style: none;
            border: 1px solid #ccc;
            border-radius: 3px;
            padding: 13px 14px;
            width: 70%;
            font-size: 14px;
            font-weight: 700;
            font-family: "Microsoft soft";
            background:#e6faf7;
            border: 1px solid #dcdfe6;
        }
        input:hover {
            border-color: #c0c4cc;
        }
        #password{
            margin-top: 30px;
        }

        button {
            width: 150px;
            margin-top: 30px;
            border: none;
            color: white;
            padding: 15px 32px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 18px;
            border-radius: 15px;
            background-color: #33dac1;
            outline:none;
        }

        #ti{
            background: white;
            color: red;
            margin-top: 7px;
        }
    </style>
</head>
<body>
<div id="content">
    <div id="box">
        <div class="title">Login</div>
        <div class="input">
            <input type="text" id="username" value="" placeholder="用户名" />
            <br>
            <input type="password" id="password" placeholder="密码" />
            <br>
            <button type="button"  onclick="return check(this.form);">登录</button>
        </div>
        <p id="ti"></p>
    </div>
</div>
</body>
<script type="text/javascript">

    //验证表单是否为空，若为空则将焦点聚焦在input表单上，否则表单通过，登录成功
    function check(form){
        var accountName = $("#username"),$password = $("#password");
        var accountName = accountName.val(),password = $password.val();
        if(!accountName || accountName == ""){
            showMsg("请输入用户名");
            return false;
        }
        if(!password || password == ""){
            showMsg("请输入密码");
            return false;
        }

        if( password !== ""&&accountName!== ""){
            window.location="http://localhost:8080/audit/views/inventory_list.jsp";
            return false;
        }
    //无需用户验证直接登录




  //需要账户密码匹配才可登录。
//这里为用ajax获取用户信息并进行验证，如果账户密码不匹配则登录失败，如不需要验证用户信息，这段可不写
//         $.ajax({
//             url : systemURL,// 获取自己系统后台用户信息接口
//             data :{"password":password,"accountName":accountName},
//             type : "GET",
//             dataType: "json",
//             success : function(data) {
//                 if (data){
//                     if (data.code == "1111") { //判断返回值，这里根据的业务内容可做调整
//                         setTimeout(function () {//做延时以便显示登录状态值
//                             showMsg("正在登录中...");
//                             console.log(data);
//                             window.location.href = url;//指向登录的页面地址
//                         },100)
//                     } else {
//                         showMsg(data.message);//显示登录失败的原因
//                         return false;
//                     }
//                 }
//             },
//             error : function(data){
//                 showMsg(data.message);
//             }
//         });
    }

    //错误信息提醒
    function showMsg(msg){
        $("#ti").text(msg);
    }

    //监听回车键提交
    $(function(){
        document.onkeydown=keyDownSearch;
        function keyDownSearch(e) {
            // 兼容FF和IE和Opera
            var theEvent = e || window.event;
            var code = theEvent.keyCode || theEvent.which || theEvent.charCode;
            if (code == 13) {
                $('#submit').click();//具体处理函数
                return false;
            }
            return true;
        }
    });
</script>
</html>
